package cn.stylefeng.workflow.instance.modular.task.service;

import cn.stylefeng.workflow.api.entity.task.RuTask;
import cn.stylefeng.workflow.api.pojo.InstanceContext;

import java.util.List;

public interface TaskDaoWithEvent {

    void batchSaveTaskList(List<RuTask> ruTaskList);

    void batchSaveTaskList(List<RuTask> processedFinalTaskList, InstanceContext instanceContext);

    void saveTask(RuTask ruTask);

    void saveTask(RuTask processingTask, InstanceContext instanceContext);

    void updateTaskStatus(RuTask ruTask, Integer taskStatus);

    void updateTaskStatus(RuTask ruTask, Integer taskStatus, String suggestContent);

    void updateReadFlag(RuTask ruTask, String readFlag);

    void removeTaskList(List<RuTask> taskList);

}
